<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
{% include 'en/navbar.html' %}
<div class="container">
	<div class="row">
		<div class="col">


			<form name='eval_prep' action="{{url_for('exec_feature_select')}}" method='POST'>
				<input type="hidden" name="feat_list" value="{{feat_list}}">
				<input type="hidden" name="feat_pred" value="{{feat_pred}}">
				<input type="hidden" name="nclasses" value="{{nclasses}}">
				<div class="card mb-4">
					<div class="card-body">
						<P> Search for the best set of features to predict the value of <strong>{{feat_pred}}</strong>, which contains the following classes:
						</P>
						<ul class="list-group">
							{% for k,v  in classes_dict.items() %}
							{% if nclasses>2 %} 
							<li class="list-group-item border">
								<p class="fs-3">{{v}}   ({{k}})</p>		
							</li>
							{% else %}
							<div class="form-check">
								<input class="form-check-input" type="radio" name="important" value="{{k}}" id="flexRadioDefault1"
																	    {% if k==1 %} checked {% endif %}
																	    >
																	    <label class="form-check-label" for="flexRadioDefault1">
																		    {{v}} ({{k}})
																	    </label>
							</div>
							{% endif %}
							{% endfor %}
						</ul>
						{% if nclasses==2 %} 
						<p>Select the most important class. For a binary classifier, it will be selected as best classifier the one that achieves a 
						better performance metric for the most important class. For a multiclass classifier it will be selected the one with the 
						best average performance for all the classes.
						</p>
						{% endif %}
						<P> Among the following features:</P>
						<ul class="list-inline">
							{% for i  in feat_list %}
							<li class="list-inline-item border border-primary p-1">
								{{i}}		
							</li>
							{% endfor %}
						</ul>
						{%if nan_pred %}
						<div class="card">
							<div class="card-header bg-warning"> Data contains missing values for {{feat_pred}}. </div>
							<div class="card-body">
								<label for="imp_strategy">Select a method to impute values:</label>
								<select class="form-control" id="imp_strategy" name="strategy">
									<option value="remove" >Delete</option>

									{% for k,v  in classes_dict.items() %}
									<option value="{{k}}" >Constant with value {{k}}</option>
									{%endfor%}
								</select>
								{% else %}
								<input type="hidden" name="strategy" value="none">
								{%endif%}
							</div>
						</div>
						{%if nans_features %}
						<div class="alert alert-primary" role="alert">
							Selected features contain missing values in the following features:
							<ul>
								{% for k,v  in nans_features.items() %}
								<li>{{k}} contains {{v}} missing values</li>	
								{%endfor%}	
							</ul>
							Currently, ORIENTATE only allows to impute missing values for the target variable. Rows with missing values will be removed for the evaluation. 
							Please, consider imputing or removing missing values before uploading the dataset and reupload.
						</div>
						{%endif%}
						<div class="card">
							<div class="card-body">
							<p> 
							To test all the possible combinations of features it is necessary to evaluate <strong>{{ncomball}} combinations</strong>.
							If not all the possible combinations are tested, it is necessary to test <strong> {{ncomb}} combinations</strong>. 
							This may take some time. A job will be generated. You can check its 
							progress later in the tab
							<a href="{{url_for('show_feat_sel_jobs')}}">Job progress</a>. </p> 
							Insert a name for the job.

							<div class="form-group">
								<label for="formGroupExampleInput">Job name</label>
								<input type="text" class="form-control" id="formGroupExampleInput" placeholder="Job name" name="jobname">
							</div>	

						</div>
						<div class="card">
							<div class="card-body">
						<div class="form-group">
							<label for="metric">Select the metric to evaluate:</label>
							<select class="form-control" id="metric" name="metric">
								<option value="0" >f1</option>
								<option value="1" >recall</option>
								<option value="2" >precision</option>
							</select>	
						</div>
 						</div>
						</div>
						<div class="card">
							<div class="card-body">
						<div class="form-check">
							<input class="form-check-input" type="radio" name="use_one_hots" value="1" id="flexRadioDefault2" checked >
							<label class="form-check-label" for="flexRadioDefault2">
								Use "OneHotEncoders" (default)
							</label>
						</div>
						<div class="form-check">
							<input class="form-check-input" type="radio" name="use_one_hots" value="0" id="flexRadioDefault3"  >
							<label class="form-check-label" for="flexRadioDefault3">
								Do not  use "OneHotEncoders"
							</label>
						</div>
 						</div>
						</div>
						<div class="card">
							<div class="card-body">
						<div class="form-check">
							<input class="form-check-input" type="radio" name="full" value="1" id="flexRadioDefault4" >
							<label class="form-check-label" for="flexRadioDefault4">
								Test all combinations (only check if the number of features is lesser than 12)
							</label>
						</div>
						<div class="form-check">
							<input class="form-check-input" type="radio" name="full" value="0" id="flexRadioDefault5" checked >
							<label class="form-check-label" for="flexRadioDefault5">
								Do not test all combinations
							</label>
						</div>
 						</div>
						</div>
						<div class="card">
							<div class="card-body">

						<div class="select-custom-content">
							<button class="btn-save btn btn-primary btn">Continue</button>
 						</div>
						</div>
						</div>
					</div> {#Card #}
					</div> {#Card #}
			</form>

					</div>
				</div>  
		</div>

		{% endblock %}

